> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Génération d'images GPT-Image(1/1.5)

>  - Mode de traitement asynchrone, renvoie un ID de tâche pour les requêtes ultérieures
- Prend en charge les modes de génération texte-vers-image, image-vers-image et inpainting
- Prend en charge les arrière-plans transparents, plusieurs formats de sortie et niveaux de qualité
- Génération jusqu'à 4 images par requête, avec jusqu'à 15 images de référence 

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.apimart.ai/v1/images/generations \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "model": "gpt-image-1-official",
      "prompt": "An ancient castle under a starry sky",
      "size": "1:1",
      "quality": "auto",
      "n": 1
    }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.apimart.ai/v1/images/generations"

  payload = {
      "model": "gpt-image-1-official",
      "prompt": "An ancient castle under a starry sky",
      "size": "1:1",
      "quality": "auto",
      "n": 1
  }

  headers = {
      "Authorization": "Bearer <token>",
      "Content-Type": "application/json"
  }

  response = requests.post(url, json=payload, headers=headers)

  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const url = "https://api.apimart.ai/v1/images/generations";

  const payload = {
    model: "gpt-image-1-official",
    prompt: "An ancient castle under a starry sky",
    size: "1:1",
    quality: "auto",
    n: 1,
  };

  const headers = {
    Authorization: "Bearer <token>",
    "Content-Type": "application/json",
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(payload),
  })
    .then((response) => response.json())
    .then((data) => console.log(data))
    .catch((error) => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://api.apimart.ai/v1/images/generations"

      payload := map[string]interface{}{
          "model":   "gpt-image-1-official",
          "prompt":  "An ancient castle under a starry sky",
          "size":    "1:1",
          "quality": "auto",
          "n":       1,
      }

      jsonData, _ := json.Marshal(payload)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
      req.Header.Set("Authorization", "Bearer <token>")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```

  ```java Java theme={null}
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpResponse;
  import java.net.URI;

  public class Main {
      public static void main(String[] args) throws Exception {
          String url = "https://api.apimart.ai/v1/images/generations";

          String payload = """
          {
            "model": "gpt-image-1-official",
            "prompt": "An ancient castle under a starry sky",
            "size": "1:1",
            "quality": "auto",
            "n": 1
          }
          """;

          HttpClient client = HttpClient.newHttpClient();
          HttpRequest request = HttpRequest.newBuilder()
              .uri(URI.create(url))
              .header("Authorization", "Bearer <token>")
              .header("Content-Type", "application/json")
              .POST(HttpRequest.BodyPublishers.ofString(payload))
              .build();

          HttpResponse<String> response = client.send(request,
              HttpResponse.BodyHandlers.ofString());

          System.out.println(response.body());
      }
  }
  ```

  ```php PHP theme={null}
  <?php

  $url = "https://api.apimart.ai/v1/images/generations";

  $payload = [
      "model" => "gpt-image-1-official",
      "prompt" => "An ancient castle under a starry sky",
      "size" => "1:1",
      "quality" => "auto",
      "n" => 1
  ];

  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      "Authorization: Bearer <token>",
      "Content-Type: application/json"
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  echo $response;
  ?>
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'
  require 'uri'

  url = URI("https://api.apimart.ai/v1/images/generations")

  payload = {
    model: "gpt-image-1-official",
    prompt: "An ancient castle under a starry sky",
    size: "1:1",
    quality: "auto",
    n: 1
  }

  http = Net::HTTP.new(url.host, url.port)
  http.use_ssl = true

  request = Net::HTTP::Post.new(url)
  request["Authorization"] = "Bearer <token>"
  request["Content-Type"] = "application/json"
  request.body = payload.to_json

  response = http.request(request)
  puts response.body
  ```

  ```swift Swift theme={null}
  import Foundation

  let url = URL(string: "https://api.apimart.ai/v1/images/generations")!

  let payload: [String: Any] = [
      "model": "gpt-image-1-official",
      "prompt": "An ancient castle under a starry sky",
      "size": "1:1",
      "quality": "auto",
      "n": 1
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
  request.setValue("application/json", forHTTPHeaderField: "Content-Type")
  request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

  let task = URLSession.shared.dataTask(with: request) { data, response, error in
      if let error = error {
          print("Error: \(error)")
          return
      }

      if let data = data, let responseString = String(data: data, encoding: .utf8) {
          print(responseString)
      }
  }

  task.resume()
  ```

  ```csharp C# theme={null}
  using System;
  using System.Net.Http;
  using System.Text;
  using System.Threading.Tasks;

  class Program
  {
      static async Task Main(string[] args)
      {
          var url = "https://api.apimart.ai/v1/images/generations";

          var payload = @"{
              ""model"": ""gpt-image-1-official"",
              ""prompt"": ""An ancient castle under a starry sky"",
              ""size"": ""1:1"",
              ""quality"": ""auto"",
              ""n"": 1
          }";

          using var client = new HttpClient();
          client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

          var content = new StringContent(payload, Encoding.UTF8, "application/json");
          var response = await client.PostAsync(url, content);
          var result = await response.Content.ReadAsStringAsync();

          Console.WriteLine(result);
      }
  }
  ```

  ```dart Dart theme={null}
  import 'dart:convert';
  import 'package:http/http.dart' as http;

  void main() async {
    final url = Uri.parse('https://api.apimart.ai/v1/images/generations');

    final payload = {
      'model': 'gpt-image-1-official',
      'prompt': 'An ancient castle under a starry sky',
      'size': '1:1',
      'quality': 'auto',
      'n': 1,
    };

    final response = await http.post(
      url,
      headers: {
        'Authorization': 'Bearer <token>',
        'Content-Type': 'application/json',
      },
      body: jsonEncode(payload),
    );

    print(response.body);
  }
  ```

  ```r R theme={null}
  library(httr)
  library(jsonlite)

  url <- "https://api.apimart.ai/v1/images/generations"

  payload <- list(
    model = "gpt-image-1-official",
    prompt = "An ancient castle under a starry sky",
    size = "1:1",
    quality = "auto",
    n = 1
  )

  response <- POST(
    url,
    add_headers(
      Authorization = "Bearer <token>",
      `Content-Type` = "application/json"
    ),
    body = toJSON(payload, auto_unbox = TRUE),
    encode = "raw"
  )

  cat(content(response, "text"))
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "code": 200,
    "data": [
      {
        "status": "submitted",
        "task_id": "task_01KXXXXXXXXXXXXXXX"
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {
    "error": {
      "code": 400,
      "message": "Invalid request parameters",
      "type": "invalid_request_error"
    }
  }
  ```

  ```json 401 theme={null}
  {
    "error": {
      "code": 401,
      "message": "Authentication failed, please check your API key",
      "type": "authentication_error"
    }
  }
  ```

  ```json 402 theme={null}
  {
    "error": {
      "code": 402,
      "message": "Insufficient balance, please top up and try again",
      "type": "payment_required"
    }
  }
  ```

  ```json 403 theme={null}
  {
    "error": {
      "code": 403,
      "message": "Access forbidden, you do not have permission to access this resource",
      "type": "permission_error"
    }
  }
  ```

  ```json 429 theme={null}
  {
    "error": {
      "code": 429,
      "message": "Too many requests, please try again later",
      "type": "rate_limit_error"
    }
  }
  ```

  ```json 500 theme={null}
  {
    "error": {
      "code": 500,
      "message": "Internal server error, please try again later",
      "type": "server_error"
    }
  }
  ```

  ```json 502 theme={null}
  {
    "error": {
      "code": 502,
      "message": "Bad gateway, server temporarily unavailable",
      "type": "bad_gateway"
    }
  }
  ```
</ResponseExample>

## Modèles pris en charge

| Modèle                   | Description                                                                | Modes                               | Image-vers-image | Max d'images | Facturation    |
| ------------------------ | -------------------------------------------------------------------------- | ----------------------------------- | ---------------- | ------------ | -------------- |
| `gpt-image-1-official`   | Priorité à la stabilité, adapté à la génération d'images générale          | Texte-vers-image / Image-vers-image | Pris en charge   | 4            | Size × Quality |
| `gpt-image-1.5-official` | Nouvelle version, adaptée à une qualité supérieure et à l'édition complexe | Texte-vers-image / Image-vers-image | Pris en charge   | 4            | Size × Quality |

## Autorisations

<ParamField header="Authorization" type="string" required>
  Toutes les requêtes API nécessitent une authentification Bearer Token

  Obtenir votre clé API :

  Rendez-vous sur la [page de gestion des clés API](https://apimart.ai/keys) pour obtenir votre clé API

  Ajoutez ce qui suit aux en-têtes de votre requête :

  ```
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## Body

<ParamField body="model" type="string" required>
  Nom du modèle

  * `gpt-image-1-official` — Priorité à la stabilité, adapté à la génération d'images générale
  * `gpt-image-1.5-official` — Nouvelle version, adaptée à une qualité supérieure et à l'édition complexe
</ParamField>

<ParamField body="prompt" type="string" required>
  Description textuelle pour la génération d'images, prend en charge à la fois le chinois et l'anglais
</ParamField>

<ParamField body="size" type="string" default="1:1">
  Ratio d'aspect

  Ratios pris en charge :

  * `1:1` — Carré (par défaut)
  * `3:2` — Paysage
  * `2:3` — Portrait
</ParamField>

<ParamField body="n" type="integer" default="1">
  Nombre d'images à générer

  Plage : 1-4

  * Les valeurs ≤ 0 seront traitées comme `1`
  * Les valeurs > 4 seront traitées comme `4`

  **Avertissement :** Doit être un nombre brut (par exemple `1`), sans guillemets, sinon une erreur sera renvoyée
</ParamField>

<ParamField body="quality" type="string" default="auto">
  Qualité de l'image

  * `auto` — Sélection automatique de la qualité (par défaut)
  * `low` — Plus rapide, plus économique
  * `medium` — Équilibre entre qualité et coût
  * `high` — Qualité supérieure, coût plus élevé
</ParamField>

<ParamField body="background" type="string" default="auto">
  Mode d'arrière-plan

  * `auto` — Arrière-plan automatique (par défaut)
  * `opaque` — Arrière-plan opaque
  * `transparent` — Arrière-plan transparent, recommandé avec le format de sortie `png`

  <Warning>
    `background: transparent` ne peut pas être utilisé simultanément avec `output_format: jpeg`
  </Warning>
</ParamField>

<ParamField body="moderation" type="string" default="auto">
  Niveau de modération

  * `auto` — Niveau de modération par défaut
  * `low` — Modération plus permissive
</ParamField>

<ParamField body="output_format" type="string" default="png">
  Format de sortie

  * `png` — Format par défaut, adapté aux arrière-plans transparents
  * `jpeg` — Taille de fichier plus petite, adapté à la sortie d'images générale

  <Warning>
    `background: transparent` ne peut pas être utilisé simultanément avec `output_format: jpeg`
  </Warning>
</ParamField>

<ParamField body="output_compression" type="integer">
  Niveau de compression de sortie, plage 0-100

  * Recommandé uniquement pour `jpeg`
  * Non recommandé pour `png`
</ParamField>

<ParamField body="image_urls" type="array">
  Tableau d'URL d'images de référence, active le mode image-vers-image lorsqu'il est fourni

  <Expandable title="Détails">
    * 1 image pour l'édition avec une référence unique
    * 2 à 15 images pour la fusion d'éditions avec plusieurs références
    * Plus de 15 images seront rejetées
    * Doivent être des URL d'images publiquement accessibles et stables
  </Expandable>

  **Limite :** Jusqu'à 15 images de référence
</ParamField>

<ParamField body="mask_url" type="string">
  URL de l'image de masque pour l'inpainting

  * Doit être utilisé conjointement avec `image_urls`
  * Sera soumis via l'API d'édition officielle

  <Warning>
    1. Avant de téléverser l'image de masque, veuillez confirmer que le canal Alpha de l'image est « Oui ».

    2. La taille de l'image de masque doit correspondre à la première image de référence.
  </Warning>
</ParamField>

## Référence des tailles

Les ratios d'aspect sont utilisés en externe ; le système les associe automatiquement aux dimensions officielles en interne.

| Ratio | Taille effective | Description |
| ----- | ---------------- | ----------- |
| `1:1` | 1024x1024        | Carré       |
| `2:3` | 1024x1536        | Portrait    |
| `3:2` | 1536x1024        | Paysage     |

## Exemples d'utilisation

**Texte-vers-image (minimal)**

```json theme={null}
{
  "model": "gpt-image-1-official",
  "prompt": "An ancient castle under a starry sky"
}
```

**Texte-vers-image (paramètres complets)**

```json theme={null}
{
  "model": "gpt-image-1-official",
  "prompt": "A flat icon of a glass bottle with no background",
  "size": "2:3",
  "quality": "high",
  "background": "transparent",
  "moderation": "low",
  "output_format": "png",
  "n": 1
}
```

**Image-vers-image (référence unique)**

```json theme={null}
{
  "model": "gpt-image-1.5-official",
  "prompt": "Convert the reference image to illustration style, preserving the main outline",
  "size": "1:1",
  "quality": "auto",
  "image_urls": [
    "https://your-cdn.com/input.png"
  ],
  "n": 1
}
```

**Image-vers-image (fusion multi-références)**

```json theme={null}
{
  "model": "gpt-image-1.5-official",
  "prompt": "Merge two reference images into an illustration poster, preserving the main outlines",
  "size": "1:1",
  "quality": "auto",
  "background": "transparent",
  "image_urls": [
    "https://your-cdn.com/input-a.png",
    "https://your-cdn.com/input-b.png"
  ],
  "moderation": "low",
  "output_format": "png",
  "n": 1
}
```

**Plusieurs images (n > 1)**

```json theme={null}
{
  "model": "gpt-image-1-official",
  "prompt": "Four minimalist poster variations of a red fox",
  "size": "1:1",
  "quality": "low",
  "output_format": "png",
  "n": 4
}
```

## Response

<ResponseField name="code" type="integer">
  Code de statut de la réponse
</ResponseField>

<ResponseField name="data" type="array">
  Tableau de données de réponse

  <Expandable title="Propriétés">
    <ResponseField name="status" type="string">
      Statut de la tâche

      * `submitted` — Soumise
    </ResponseField>

    <ResponseField name="task_id" type="string">
      Identifiant unique de la tâche
    </ResponseField>
  </Expandable>
</ResponseField>

## Notes

1. **Traitement asynchrone** : Après soumission, un `task_id` est renvoyé. Interrogez `/v1/tasks/{task_id}` pour obtenir les résultats
2. **Sélection du modèle** : Utilisez `gpt-image-1-official` pour la génération d'images générale ; utilisez `gpt-image-1.5-official` pour l'édition de haute qualité et les tâches image-vers-image complexes
3. **Exigences relatives aux URL d'images** : Pour image-vers-image, utilisez des URL d'images publiquement accessibles et stables
4. **Facturation** : Facturé pour chaque image générée avec succès ; aucun frais en cas d'échec
